Subject: bug#19904: 24.4; IPython shell output under windows: no out-prompt appears, printing doesn't work

From: [email-masked] (Fabián Ezequiel Gallina)
Date: Sat, 21 Feb 2015 14:12:13 -0300

Aron Lagerberg <[email-masked]> writes:

> Hi all! 
>
> I'm having trouble getting IPython to work with emacs 24.4 under windows
> 7 (on my linux laptop, it works out-of-the-box). When using ipython and
> running
> 'run-python' I see the IPython interpreter loaded. I get no 'in' prompt,
> but when writeing for instance '2+4' and hitting enter, I get 'Out [1]:
> 6'. When typing 'print("foo")', hitting enter produces nothing. But,
> after running 'quit()' I see 'In [5]: foo'. There seems to be something
> wrong in how emacs is handling the IPython output. How can I fix this?
> Where can I start to look? Which file is responsible for the interaction
> between the ipython output and emacs buffer?
>
> I'm at a loss here and would apriceate any help. Thank you in advance! :)
>
> Best regards,
>
> Aron

Hi Aron,

Have you tried following this comment from python.el's header:

;; Running IPython on Windows needs more tweaking.  The way you should
;; set `python-shell-interpreter' and `python-shell-interpreter-args'
;; is as follows (of course you need to modify the paths according to
;; your system):

;; (setq python-shell-interpreter "C:\\Python27\\python.exe"
;;       python-shell-interpreter-args
;;       "-i C:\\Python27\\Scripts\\ipython-script.py")

If not, please give it a go and let me know if it worked.

Cheers,
Fabián.